import React, { useEffect } from 'react';
import { useAuth } from 'src/services/auth';

// eslint-disable-next-line @typescript-eslint/no-unused-vars
export function LoginCallback() {
  const currentURL = window.location.href;
  const indexOfQuestionMark = currentURL.indexOf('?');
  const params = currentURL.slice(indexOfQuestionMark);

  const { logIn } = useAuth();

  useEffect(() => {
    if (params.length > 2) {
      logIn(params);
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [params]);

  return (
    <div className="min-h-screen flex items-center justify-center bg-gray-50 py-12 px-4 sm:px-6 lg:px-8">
      <div className="max-w-md w-full space-y-8">
        <div className="flex justify-center">Loading . . .</div>
      </div>
    </div>
  );
}
